# Generated from transitions-1.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name transitions

Name: rubygem-%{gem_name}
Version: 1.2.1
Release: 1%{?dist}
Summary: State machine extracted from ActiveModel
License: MIT
URL: http://github.com/troessner/transitions
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 2.5
# BuildRequires: rubygem(test-unit) < 3
# BuildRequires: rubygem(mocha) >= 0.11.0
# BuildRequires: rubygem(mocha) < 0.12
# BuildRequires: rubygem(random_data)
# BuildRequires: rubygem(appraisal)
# BuildRequires: rubygem(activerecord) >= 3.0
# BuildRequires: rubygem(activerecord) <= 4.0
# BuildRequires: rubygem(rubocop) >= 0.36.0
# BuildRequires: rubygem(rubocop) < 0.37
# BuildRequires: rubygem(reek)
BuildArch: noarch

%description
Lightweight state machine extracted from ActiveModel.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.todo.reek
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/transitions.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.2.1-1
- Initial package
